From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-django/
Date: Mon, 9 Nov 2015 11:49:58 +0000 (UTC) [thread overview]
Message-ID: <1447069781.faeba16f798943eb030db64fb0ce192c3f0a5169.jlec@gentoo> (raw)
commit: faeba16f798943eb030db64fb0ce192c3f0a5169
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 9 11:29:36 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Nov 9 11:49:41 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=faeba16f
dev-python/pytest-django: Version Bump
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pytest-django/Manifest | 1 +
.../pytest-django/pytest-django-2.9.1.ebuild | 31 ++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-python/pytest-django/Manifest b/dev-python/pytest-django/Manifest
index 1ef809c..906deb4 100644
--- a/dev-python/pytest-django/Manifest
+++ b/dev-python/pytest-django/Manifest
@@ -1 +1,2 @@
DIST pytest-django-2.8.0.tar.gz 15405 SHA256 d145ac9dc7a557a719ab79770be0941004e1e038e137c34591919d9df2a790b1 SHA512 bc692f1b3112e07f435db746328fea18b78e71fecbded26a4e68f7dbd9b84698d193a3d191d1039a3ff23e88d2dbf4beb0d08e382fbde333033b8b54fbe99dee WHIRLPOOL 1bc9b446a826bfa5c842dc40efb9f51a16dba1e9a3e5f2c1cc7afb6a34ffd69ed2a4a3be197fbf23bc7425773acb71bda4bcfebae6189f06fc95ac2219250d13
+DIST pytest-django-2.9.1.tar.gz 50570 SHA256 8be15b637738c8cbd1422a6461465c0aeab7839cf76ad2b5d190b6f1f53facd6 SHA512 0e50f45a0cfefb6fa74f7d60d5173e3e8dac49ac669c9c88e46d27a01cff5c4a255d6f707863406b6f8707e25e9bea3408cbffbb75a2680fee365b9c9167d468 WHIRLPOOL b7992224d0cfb655c9faf0af9689a6bdd2c9371114c875f2b1a00e6d972a487346cb6939eac0b04d24b302311d1795696f5c38e362f832a84416d2a0d23b501d
diff --git a/dev-python/pytest-django/pytest-django-2.9.1.ebuild b/dev-python/pytest-django/pytest-django-2.9.1.ebuild
new file mode 100644
index 0000000..4da1aec
--- /dev/null
+++ b/dev-python/pytest-django/pytest-django-2.9.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Django plugin for py.test"
+HOMEPAGE="https://pypi.python.org/pypi/pytest-django https://pytest-django.readthedocs.org https://github.com/pytest-dev/pytest-django"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.8.0[${PYTHON_USEDEP}]
+"
+
+# https://github.com/pytest-dev/pytest-django/issues/290
+RESTRICT=test
+
+python_test() {
+ PYTEST_PLUGINS=${PN/-/_} \
+ py.test --ds=pytest_django_test.settings_sqlite_file --strict -r fEsxXw || die
+}
next reply other threads:[~2015-11-09 13:27 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-11-09 11:49 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-07 20:38 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-django/ Michał Górny
2025-03-01 11:57 Michał Górny
2025-02-10 16:54 Arthur Zamarin
2024-10-12 15:05 Sam James
2024-09-21 10:43 Michał Górny
2024-09-21 9:59 Sam James
2024-09-03 5:23 Michał Górny
2024-08-29 6:34 Jakov Smolić
2024-08-29 6:34 Jakov Smolić
2024-06-19 17:21 Michał Górny
2024-06-19 17:21 Michał Górny
2024-04-19 6:39 Ionen Wolkens
2024-04-18 16:17 Arthur Zamarin
2024-03-09 16:55 Andrew Ammerlaan
2024-02-14 12:36 Michał Górny
2024-02-14 12:26 Michał Górny
2024-01-30 14:19 Michał Górny
2023-11-29 10:20 Michał Górny
2023-11-08 15:39 Michał Górny
2023-10-30 18:10 Michał Górny
2023-08-24 12:47 Michał Górny
2023-08-24 12:40 Sam James
2023-07-23 21:44 Sam James
2023-07-23 14:47 Michał Górny
2023-07-23 14:47 Michał Górny
2022-01-01 18:48 Michał Górny
2022-01-01 18:11 Arthur Zamarin
2021-12-07 23:27 Michał Górny
2021-12-02 23:13 Michał Górny
2021-12-01 19:14 Michał Górny
2021-07-16 21:53 Michał Górny
2021-07-16 21:44 Sam James
2021-07-14 6:22 Agostino Sarubbo
2021-07-13 20:05 Sam James
2021-07-13 6:26 Agostino Sarubbo
2021-06-26 2:52 Sam James
2021-06-24 8:20 Michał Górny
2021-06-24 4:26 Agostino Sarubbo
2021-06-22 18:25 Marek Szuba
2021-06-14 6:39 Sergei Trofimovich
2021-06-14 6:37 Sergei Trofimovich
2021-06-09 14:43 Sergei Trofimovich
2021-06-08 11:42 Michał Górny
2021-05-19 6:02 Michał Górny
2021-05-18 23:20 Sam James
2021-05-15 21:18 Michał Górny
2021-04-11 10:47 Michał Górny
2021-01-18 14:52 Sam James
2020-12-21 22:16 Sam James
2020-12-21 22:16 Sam James
2020-11-27 16:18 Michał Górny
2020-11-20 14:14 Sam James
2020-11-20 14:14 Sam James
2020-11-07 1:23 Sam James
2020-11-02 10:34 Michał Górny
2020-10-22 21:06 Michał Górny
2020-10-16 15:44 Michał Górny
2020-10-07 7:28 Michał Górny
2020-09-21 16:06 Michał Górny
2020-08-29 6:13 Michał Górny
2020-07-11 7:04 Michał Górny
2020-07-11 7:04 Michał Górny
2020-07-09 8:59 Agostino Sarubbo
2020-04-28 13:12 Agostino Sarubbo
2020-04-04 17:04 Michał Górny
2020-03-28 18:49 Michał Górny
2020-03-08 14:29 Michał Górny
2020-02-05 20:11 Michał Górny
2018-11-17 19:48 Virgil Dupras
2017-05-29 16:33 Pacho Ramos
2017-05-02 15:15 Michał Górny
2017-01-12 19:19 Justin Lecher
2015-09-02 7:21 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1447069781.faeba16f798943eb030db64fb0ce192c3f0a5169.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox